Creates a new db_file by supplying directly the field db_file.file_content as Byte Array

Request Information

URI Parameters :

None.

Body Parameters :

db_file
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

db_table_id

Table.id of the linked entity

globally unique identifier
db_table_name

Foreign key to the table of the linked entity using table name. Can be article,company,contact,jobs,job_approval,project or task.Will be also filled on Get to allow Odata Filter on it

string
id_in_table

Id of the linked entity

globally unique identifier
name

Name of the file

string

Required

Max length: 100

description

Description of the file

string

Max length: 4000

file_name

File_name of the file

string

Max length: 100

image_width

In case of picture, the original width

integer
image_heigth

In case of picture, the original heigth

integer
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_content

The file content, in Byte Array. Use this field when using POST/Put

Collection of byte
db_file_folder_id

For Global Files : Foreign key to db file folder

globally unique identifier
db_file_folder_reference_back_office

Embedded entity "db_file_folder" using ERP PK when adding/updating db_file

string
db_file_folder

Embedded entity "db_file_folder" using node when adding/updating db_file

db_file_folder
sales_organization_id

In case of global files - you can specifiy if it's available for all organization or only one

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_type_name

Readonly :Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string
file_size

Size in bytes of the file_content

integer
user_notification

For Global files - indicate if user should be informed that this file is available

boolean
is_archived

Indicate if the file has been deleted (content flushed)

boolean
date_add

Date when file has been added

date
date_update

Update date, auto filled by Now if no value received

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "ba6a8089-19d6-4a05-8e80-dcad09c409c9",
  "db_table_id": "89fc9714-13b4-4c20-a357-4ce9d6227d8e",
  "db_table_name": "sample string 3",
  "id_in_table": "8adcb878-d367-4d3f-82e3-c83bf5455cf9",
  "name": "sample string 5",
  "description": "sample string 6",
  "file_name": "sample string 7",
  "image_width": 8,
  "image_heigth": 9,
  "mime_type": "sample string 10",
  "file_content": "QEA=",
  "db_file_folder_id": "791c58bb-3200-4c33-af57-6b1060aa19de",
  "db_file_folder_reference_back_office": "sample string 12",
  "sales_organization_id": "e072fec6-aede-4490-9328-782ab1865d65",
  "sales_organization_code": "sample string 14",
  "file_type_name": "sample string 15",
  "file_size": 16,
  "user_notification": true,
  "is_archived": true,
  "date_add": "2026-10-28T21:47:26.5088298+00:00",
  "date_update": "2026-10-28T21:47:26.5088298+00:00",
  "modified_dateutc": "2026-10-28T21:47:26.5088298+00:00"
}

Response Information

Resource Description :

db_file
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

db_table_id

Table.id of the linked entity

globally unique identifier
db_table_name

Foreign key to the table of the linked entity using table name. Can be article,company,contact,jobs,job_approval,project or task.Will be also filled on Get to allow Odata Filter on it

string
id_in_table

Id of the linked entity

globally unique identifier
name

Name of the file

string

Required

Max length: 100

description

Description of the file

string

Max length: 4000

file_name

File_name of the file

string

Max length: 100

image_width

In case of picture, the original width

integer
image_heigth

In case of picture, the original heigth

integer
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_content

The file content, in Byte Array. Use this field when using POST/Put

Collection of byte
db_file_folder_id

For Global Files : Foreign key to db file folder

globally unique identifier
db_file_folder_reference_back_office

Embedded entity "db_file_folder" using ERP PK when adding/updating db_file

string
db_file_folder

Embedded entity "db_file_folder" using node when adding/updating db_file

db_file_folder
sales_organization_id

In case of global files - you can specifiy if it's available for all organization or only one

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_type_name

Readonly :Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string
file_size

Size in bytes of the file_content

integer
user_notification

For Global files - indicate if user should be informed that this file is available

boolean
is_archived

Indicate if the file has been deleted (content flushed)

boolean
date_add

Date when file has been added

date
date_update

Update date, auto filled by Now if no value received

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7072b19b-cae5-49bd-8d1c-5e1fc6e3daaf",
  "db_table_id": "2bc95c2f-e0da-4098-9eea-f6542e266d37",
  "db_table_name": "sample string 3",
  "id_in_table": "9a7329b7-bd97-432c-8422-432592b51921",
  "name": "sample string 5",
  "description": "sample string 6",
  "file_name": "sample string 7",
  "image_width": 8,
  "image_heigth": 9,
  "mime_type": "sample string 10",
  "file_content": "QEA=",
  "db_file_folder_id": "a15ec00d-7252-4946-a525-6190007f9cea",
  "db_file_folder_reference_back_office": "sample string 12",
  "sales_organization_id": "e16e1ae4-6cf9-4821-9523-e723812fb520",
  "sales_organization_code": "sample string 14",
  "file_type_name": "sample string 15",
  "file_size": 16,
  "user_notification": true,
  "is_archived": true,
  "date_add": "2026-10-28T21:47:26.5398351+00:00",
  "date_update": "2026-10-28T21:47:26.5398351+00:00",
  "modified_dateutc": "2026-10-28T21:47:26.5398351+00:00"
}